## com.TwentyCodes.android.location
Class MidPoint

    java.lang.Object
      com.TwentyCodes.android.location.MidPoint

    public class MidPoint

extends Object

This MidPoint object will hold the information form the calculations performed by GeoUtils.midPoint().

Author:
  ricky barrette

Constructor Summary
`MidPoint(GeoPoint midPoint, int minLatitude, int minLongitude, int maxLatitude, int maxLongitude)` Creates a new MidPoint

Method Summary
`GeoPoint` `getMidPoint()` returns the calculated midpoint
`void` `zoomToSpan(com.google.android.maps.MapView mMapView)` zooms the provided map view to the span of this mid point

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MidPoint

    public MidPoint(GeoPoint midPoint,
                    int minLatitude,
                    int minLongitude,
                    int maxLatitude,
                    int maxLongitude)

  Creates a new MidPoint

Method Detail

### zoomToSpan

    public void zoomToSpan(com.google.android.maps.MapView mMapView)

  zooms the provided map view to the span of this mid point

  Parameters:
    `mMapView` -

### getMidPoint

    public GeoPoint getMidPoint()

  returns the calculated midpoint

  Returns: